SerializedBytes.Companion
Keywords: net.corda.core.serialization.SerializedBytes.Companion class
Date: 2023-09-18

net.corda.core.serialization

## Class SerializedBytes.Companion

- net.corda.core.serialization.SerializedBytes.Companion

- Enclosing class:
    SerializedBytes<T>

      public static class SerializedBytes.Companion

- - ### Method Detail

    - #### from

          @JvmStatic
           @JvmOverloads
           @NotNull
          public <T> SerializedBytes<T> from(@NotNull
                                                                                 T obj,
                                                                                 @NotNull
                                                                                 SerializationFactory serializationFactory,
                                                                                 @NotNull
                                                                                 SerializationContext context)

      Serializes the given object and returns a `class SerializedBytes` wrapper for it. An alias for `Any.serialize` intended to make the calling smoother for Java users.

      See Also:
        `class SerializedBytes`, `Any.serialize`

    - #### from

          @JvmStatic
           @JvmOverloads
           @NotNull
          public <T> SerializedBytes<T> from(@NotNull
                                                                                 T obj,
                                                                                 @NotNull
                                                                                 SerializationFactory serializationFactory)

      Serializes the given object and returns a `class SerializedBytes` wrapper for it. An alias for `Any.serialize` intended to make the calling smoother for Java users.

      See Also:
        `class SerializedBytes`, `Any.serialize`

    - #### from

          @JvmStatic
           @JvmOverloads
           @NotNull
          public <T> SerializedBytes<T> from(@NotNull
                                                                                 T obj)

      Serializes the given object and returns a `class SerializedBytes` wrapper for it. An alias for `Any.serialize` intended to make the calling smoother for Java users.

      See Also:
        `class SerializedBytes`, `Any.serialize`